{
  "name": "pnpm-monorepo-demo",
  "version": "1.0.0",
  "main": "index.js",
  "scripts": {
    "dev:apps-server": "cd apps/server && pnpm dev:be",
    "dev:apps-web": "cd apps/web-main && pnpm dev",
    "dev:apps-admin": "cd apps/admin && pnpm dev",
    "build:pkgs": "pnpm build:ui && pnpm build:util",
    "build:ui": "cd packages/ui && pnpm build",
    "build:util": "cd packages/util && pnpm build",
    "new:page": "cd apps/server && pnpm new:page",
    "new:mvc": "cd apps/server && pnpm new:mvc"
  },
  "devDependencies": {
    "@types/node": "^18.13.0",
    "rimraf": "^4.1.2",
    "typescript": "^4.9.5",
    "webpack": "^5.75.0",
    "webpack-cli": "^5.0.1",
    "cross-env": "^6.0.0",
    "babel-loader": "8.1.0",
    "ts-loader": "9.4.2",
    "url-loader": "4.1.1",
    "mini-css-extract-plugin": "2.7.2",
    "less": "3.8.0",
    "less-loader": "4.1.0",
    "css-loader": "6.7.3",
    "chalk": "4.1.2",
    "inquirer": "8.0.0",
    "copy-webpack-plugin": "5.1.2",
    "sass": "1.58.3",
    "sass-loader": "13.2.0",
    "postcss-loader": "7.0.2",
    "style-loader": "3.3.1",
    "autoprefixer": "10.4.13",
    "terser-webpack-plugin": "5.3.6",
    "webpack-bundle-analyzer": "4.8.0",
    "normalize.css": "8.0.1",
    "@babel/plugin-proposal-class-properties": "7.18.6",
    "@babel/preset-env": "7.20.2",
    "rollup": "3.17.2",
    "@rollup/plugin-node-resolve": "15.0.1",
    "@rollup/plugin-typescript": "11.0.0",
    "@rollup/plugin-commonjs": "24.0.1",
    "@rollup/plugin-terser": "0.4.0",
    "rollup-plugin-postcss": "4.0.2",
    "postcss": "8.4.21",
    "rollup-plugin-babel": "4.4.0",
    "@babel/core": "7.21.0",
    "rollup-plugin-dts": "5.2.0"
  },
  "dependencies": {
    "object-hash": "^3.0.0"
  }
}